# $Revision: 1.14 $, $Date: 2010/06/30 07:04:08 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Misty1
Summary:	Crypt::Misty1 - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Misty1 - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Misty1
Version:	1.1.3
Release:	5
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca9e4ad4db7b249751731a35cae5f9bc
URL:		http://search.cpan.org/dist/Crypt-Misty1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Misty1 is a 64-bit symmetric block cipher with a 128-bit key. It was
developed by Mitsuru Matsui, and is described in the paper "New Block
Encryption Algorithm MISTY" and in RFC 2994. In January of 2000, the
3GPP consortium selected a variant of Misty1, dubbed as KASUMI (the
Japanese word for "misty"), as the mandatory cipher in W-CDMA. This
module supports the Crypt::CBC interface.

%description -l pl.UTF-8
Misty1 to 64-bitowy symetryczny szyfr blokowy ze 128-bitowym kluczem.
Został opracowany przez Mitsuru Matsui i opisany w dokumencie "New
Block Encryption Algorithm MISTY" oraz w RFC 2994. W styczniu 2000
konsorcjum 3GPP wybrało wariant Misty1 pod nazwą KASUMI (japoński
odpowiednik słowa "misty") jako obowiązkowy szyfr w W-CDMA. Ten
moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Misty1.pm
%dir %{perl_vendorarch}/auto/Crypt/Misty1
%{perl_vendorarch}/auto/Crypt/Misty1/Misty1.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Misty1/Misty1.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Misty1.spec,v $
Revision 1.14  2010/06/30 07:04:08  amateja
- release 5

Revision 1.13  2010/06/06 08:33:02  arekm
- release 4

Revision 1.12  2008/03/15 20:20:31  qboosh
- generic URL

Revision 1.11  2008-02-23 22:01:27  glen
- release 3

Revision 1.10  2008-02-10 12:03:57  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:13  paladine
- formatting

Revision 1.5  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.3  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.2  2003/09/15 08:17:53  adamg
- updated to 1.1.3

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
